// pages/api/talas_v5_DB/priorityConfig.js
// in tals5 http://10.10.0.13/talas5/Management/PriorityConfig.aspx beinhaltet die Tabelle prio die Prioritäten der Meldungen (Level 1-4) oder (0-4) je nachdem DB-Design
// das ist die API, die die Prioritäten zurückgibt

import getPool from "../../../utils/mysqlPool"; // Singleton-Pool importieren

export default async function handler(req, res) {
  const pool = getPool(); // Singleton-Pool verwenden
  let connection;

  try {
    // Verbindung abrufen
    connection = await pool.getConnection();

    // Ausführen der Datenbankabfrage
    const query = "SELECT idprio, level, name, color FROM prio";
    const [results] = await connection.query(query);

    // Senden Sie die Antwort zurück
    res.status(200).json(results);
  } catch (error) {
    console.error("Fehler beim Abrufen der API", error);
    res.status(500).json({ error: "Fehler bei der Abfrage" });
  } finally {
    // Verbindung freigeben
    if (connection) connection.release();
  }
}
